Subject: bug#11131: 24.0.94; Apropos bookmarks

From: Juri Linkov <[email-masked]>
Date: Tue, 11 Sep 2012 22:29:15 +0300

>> [Context Switch] I think having a standard hook to choose the default
>> name of bookmark will also be useful.  In prog-modes, I will probably
>> set it to which-function.
>
> Sounds fine.  Patch welcome.

Bug#12107 added a new parameter for the default bookmark names.
So `bookmark-make-record-default' could be modified to set its value
from the result of a function defined by a new customizable variable
(where `which-function' could be one of its possible value).